## jbig2dec 0.11+20120125

=== SConstruct ===
# this is an SCons build specification file

import os

# try to get the version number from various local information
version = os.popen('git describe --tags 2>/dev/null').read().strip()
if not version:
  try:
    for line in open('CHANGES'):
      words = line.split()
      if len(words) > 1 and words[0].lower() == 'version':
        version = words[1]
        break
  except IOError:
    pass
if not version:
  version = 'unknown-version'

env = Environment(CPPDEFINES = {'HAVE_STDINT_H' : None,
				'PACKAGE' : '\\"jbig2dec\\"',
				'VERSION' : '\\"'+version+'\\"',
				'JBIG2_DEBUG' : None,
				'JBIG2_HALFTONE' : None})
env.Append(CCFLAGS = ' -g -Wall')

lib_sources = Split("""jbig2.c 
        jbig2_arith.c jbig2_arith_int.c jbig2_arith_iaid.c 
	jbig2_huffman.c jbig2_metadata.c
        jbig2_segment.c jbig2_page.c 
        jbig2_symbol_dict.c jbig2_text.c 
	jbig2_halftone.c
        jbig2_generic.c jbig2_refinement.c jbig2_mmr.c 
        jbig2_image.c jbig2_image_pbm.c""")

lib_headers = Split("""
        os_types.h config_types.h config_win32.h 
        jbig2.h jbig2_priv.h jbig2_image.h 
        jbig2_arith.h jbig2_arith_iaid.h jbig2_arith_int.h 
        jbig2_huffman.h jbig2_hufftab.h jbig2_mmr.h 
        jbig2_generic.h jbig2_symbol_dict.h 
        jbig2_metadata.h""")

env.Library('jbig2dec', lib_sources)

jbig2dec_sources = Split("""jbig2dec.c sha1.c""")

jbig2dec_headers = Split(""" sha1.h 
	jbig2.h jbig2_image.h getopt.h 
        os_types.h config_types.h config_win32.h""")

env.Program('jbig2dec', jbig2dec_sources, LIBS=['jbig2dec'], LIBPATH='.')

## jbig2dec 0.11

=== debian/changelog ===
jbig2dec (0.11-1) unstable; urgency=low

  * Initial release. Closes: bug#539965.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Apr 2010 21:06:47 +0200

=== debian/control ===
Source: jbig2dec
Section: libs
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.70~),
 autotools-dev,
 devscripts (>= 2.10.7~),
 dh-buildinfo,
 debhelper (>= 6),
 libpng-dev,
 python,
 d-shlibs
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/jbig2dec.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/jbig2dec.git;a=summary
Homepage: http://jbig2dec.sourceforge.net/

Package: libjbig2dec0-dev
Section: libdevel
Depends: libjbig2dec0 (= ${binary:Version}), ${devlibs:Depends}, ${misc:Depends}
Provides: libjbig2dec-dev
Conflicts: libjbig2dec-dev
Architecture: any
Description: JBIG2 decoder library - development files
 jbig2dec is a decoder library and example utility implementing the JBIG2
 bi-level image compression spec. Also known as ITU T.88 and ISO IEC
 14492, and included by reference in Adobe's PDF version 1.4 and later.
 .
 This package contains the development headers and static library.

Package: libjbig2dec0
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: JBIG2 decoder library - shared libraries
 jbig2dec is a decoder library and example utility implementing the JBIG2
 bi-level image compression spec. Also known as ITU T.88 and ISO IEC
 14492, and included by reference in Adobe's PDF version 1.4 and later.
 .
 This package contains the shared library libjbig2dec.

Package: jbig2dec
Section: graphics
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: JBIG2 decoder library - tools
 jbig2dec is a decoder library and example utility implementing the JBIG2
 bi-level image compression spec. Also known as ITU T.88 and ISO IEC
 14492, and included by reference in Adobe's PDF version 1.4 and later.
 .
 This package contains the command-line utility jbig2dec.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2009-2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for jbig2dec
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

libname = lib$(DEB_UPSTREAM_PACKAGE)
soname = 0
pkgname = $(libname)$(soname)

DEB_UPSTREAM_URL = http://ghostscript.com/~giles/jbig2/$(DEB_UPSTREAM_PACKAGE)/
DEB_UPSTREAM_TARBALL_MD5 = 1f61e144852c86563fee6e5ddced63f1

DEB_MAKE_CHECK_TARGET = check

DEB_INSTALL_MANPAGES_jbig2dec = debian/tmp/usr/share/man/man1/*

DEB_SHLIBDEPS_LIBRARY_$(pkgname) = $(libname)
DEB_DH_MAKESHLIBS_ARGS = -Pdebian/$(cdbs_curpkg)

# put aside upstream-shipped temp files during build but after copyright-check
upstreamtmpfiles = config_types.h
pre-build:: debian/stamp-upstreamtmpstuff
debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file ] || [ -e $$file.upstream ] || mv $$file $$file.upstream; \
	done
	touch $@
clean::
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file.upstream ] || mv -f $$file.upstream $$file; \
	done
	rm -f debian/stamp-upstreamtmpstuff

# Let d-shlibs resolve dependencies for and install library files
binary-post-install/$(pkgname):: debian/stamp-local-shlibs-$(libname)
debian/stamp-local-shlibs-$(libname): binary-install/$(pkgname)
	d-shlibmove --commit \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		debian/tmp/usr/lib/$(libname).so
	touch $@
clean::
	rm -f debian/stamp-local-shlibs-$(libname)

# Needed by by upstream build routines
CDBS_BUILD_DEPENDS += , libpng-dev

# Needed by upstream tests
CDBS_BUILD_DEPENDS += , python

# Needed for our packaging
CDBS_BUILD_DEPENDS += , d-shlibs

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://ghostscript.com/~giles/jbig2/jbig2dec/jbig2dec-(.*).tar.bz2

## jbig2dec 0.11%2B20120125

=== debian/changelog ===
jbig2dec (0.11+20120125-1ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: integer overflow in jbig2_image_new
    - debian/patches/CVE-2016-9601-pre*.patch: backport misc fixes.
    - debian/patches/CVE-2016-9601-1.patch: fix signed/unsigned warnings in
      jbig2.c, jbig2.h, jbig2_generic.c, jbig2_halftone.c, jbig2_huffman.c,
      jbig2_huffman.h, jbig2_image.c, jbig2_mmr.c, jbig2_page.c,
      jbig2_priv.h, jbig2_segment.c, jbig2_symbol_dict.c,
      jbig2_symbol_dict.h, jbig2_text.c, jbig2_text.h.
    - debian/patches/CVE-2016-9601-2.patch: fix warnings in jbig2_image.c,
      jbig2_mmr.c, jbig2_symbol_dict.c.
    - CVE-2016-9601
  * SECURITY UPDATE: integer overflow in big2_decode_symbol_dict
    - debian/patches/CVE-2017-7885.patch: add extra check to
      jbig2_symbol_dict.c.
    - CVE-2017-7885
  * SECURITY UPDATE: integer overflow in jbig2_build_huffman_table
    - debian/patches/CVE-2017-7975.patch: use uint32_t in jbig2_huffman.c.
    - CVE-2017-7975
  * SECURITY UPDATE: integer overflow in jbig2_image_compose
    - debian/patches/CVE-2017-7976.patch: add bounds check to
      jbig2_image.c.
    - CVE-2017-7976

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 19 May 2017 09:11:39 -0400

jbig2dec (0.11+20120125-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/libjbig2dec0.symbols: Added symbols file, generated and updated by
      "dpkg-gensymbols -plibjbig2dec0 -Pdebian/libjbig2dec0/".
  * Update symbols file based on dpkg-gensymbols diff in pbuilder.
  * Update to Ubuntu maintainer.

 -- Logan Rosen <logatronico@gmail.com>  Thu, 15 Nov 2012 00:32:40 -0500

jbig2dec (0.11+20120125-1) unstable; urgency=low

  * New snapshot of upstream git.
  * Autogenerate autotools.
  * Add patches cherry-picked from Ghostscript:
    1002: Prevent composition if src outside clip region.
    1003: Implement generic refinement region when TPGRON is TRUE.
  * Add patch 1004 to add config_types.h.in (not create in autogen.sh).
  * Fix strip editing noise from copyright file.
  * Fix watch file to cover current release: Ignore compression suffix.
  * Bump debhelper compat level to 7.
  * Bump standards-version to 3.9.2.
  * Simplify *.install file, thanks to debhelper compat level 7.
  * Ease building with git-buildpackage: Git-ignore .pc dir.
  * Update copyright file:
    + Reformat using rev. 174 of draft DEP-5 syntax.
    + Fix declare exceptions as such.
    + Fix include Expat~X license verbatim (adding "Some files
      differ..." to License field violates need for "verbatim copy").
    + Separate comments from License field in GNU License sections,
      shorten comments and quote license in them.
    + Rename licenses to better match recent DEP5 draft (e.g. avoid
      "other" prefix).
    + Rewrap License sections at 72 chars.
    + Fix reference GNU licenses versioned.
    + Document in Comment field of AFPL License section the lack of
      actual licensing text: license unused by Debian.
    + Extend copyright years.
  * Update package relations:
    + Relax build-depend unversioned on debhelper and devscripts (needed
      versions satisfied even in oldstable).
    + Build-depend on libtool, automake1.11 and autoconf.
    + Tighten build-dependency on d-shlibs.
  * Stop installing -la file.
    Closes bug#621683. Thanks to Neil Williams.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Feb 2012 17:44:51 +0100

jbig2dec (0.11-1ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Oct 2012 09:17:57 +0100

jbig2dec (0.11-1ubuntu1) natty; urgency=low

  * debian/libjbig2dec0.symbols: Added symbols file, generated and updated by
    "dpkg-gensymbols -plibjbig2dec0 -Pdebian/libjbig2dec0/".

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 10 Jan 2011 19:01:36 +0100

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://ghostscript.com/~giles/jbig2/jbig2dec/jbig2dec-(.*)\.tar\..*

## jbig2dec 0.11+20120125

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: jbig2dec
 Section: libs
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs (>= 0.4.70~),
- autotools-dev,
- devscripts (>= 2.10.7~),
+ devscripts,
+ libtool,
+ automake1.11,
+ autoconf,
+ debhelper,
  dh-buildinfo,
- debhelper (>= 6),
+ d-shlibs (>= 0.45~),
  libpng-dev,
- python,
- d-shlibs
-Standards-Version: 3.8.4
+ python
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/jbig2dec.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/jbig2dec.git;a=summary
 Homepage: http://jbig2dec.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,11 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
+DEB_AUTO_UPDATE_LIBTOOL = pre
+DEB_AUTO_UPDATE_ACLOCAL = 1.11
+DEB_AUTO_UPDATE_AUTOCONF = 2.68
+DEB_AUTO_UPDATE_AUTOHEADER = 2.68
+DEB_AUTO_UPDATE_AUTOMAKE = 1.11
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
@@ -27,6 +32,12 @@
 
 DEB_UPSTREAM_URL = http://ghostscript.com/~giles/jbig2/$(DEB_UPSTREAM_PACKAGE)/
 DEB_UPSTREAM_TARBALL_MD5 = 1f61e144852c86563fee6e5ddced63f1
+
+# bootstrap autotools files (CDBS normally only updates them)
+DEB_MAKE_CLEAN_TARGET = distclean
+DEB_AUTOMAKE_ARGS = --add-missing --copy
+clean::
+	rm -f Makefile.in aclocal.m4 compile config.guess config.h.in config.sub configure depcomp install-sh ltmain.sh missing
 
 DEB_MAKE_CHECK_TARGET = check
 
@@ -50,9 +61,11 @@
 	rm -f debian/stamp-upstreamtmpstuff
 
 # Let d-shlibs resolve dependencies for and install library files
+CDBS_BUILD_DEPENDS += , d-shlibs (>= 0.45~)
 binary-post-install/$(pkgname):: debian/stamp-local-shlibs-$(libname)
 debian/stamp-local-shlibs-$(libname): binary-install/$(pkgname)
 	d-shlibmove --commit \
+		--exclude-la \
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
 		debian/tmp/usr/lib/$(libname).so
 	touch $@
@@ -64,6 +77,3 @@
 
 # Needed by upstream tests
 CDBS_BUILD_DEPENDS += , python
-
-# Needed for our packaging
-CDBS_BUILD_DEPENDS += , d-shlibs

## jbig2dec 0.12

=== debian/changelog ===
jbig2dec (0.12-2) unstable; urgency=medium

  * Move package maintenance to printing team.
  * Suppress lintian warning about build-depending unversioned on
    debhelper.
  * Update copyright info: Fix strip stray License field.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 Jul 2015 19:19:18 +0200

jbig2dec (0.12-1) unstable; urgency=medium

  * Update README.source to emphasize that control.in file is *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Update upstream URLs to reflect move to git.ghostscript.com and lack
    of tarball releases.
  * Declare compliance with Debian Policy 3.9.6.
  * Update Vcs-* fields.
  * Bump debhelper compatibility level to 9.
  * Update copyright info:
    + Extend coverage for myself.
    + Bump packaging license to GPL-3+.
    + Fix use SPDX shortname for X11 license.
      Thanks to Paul Richards Tagliamonte.
    + Use file format 1.0.
    + Use license short-name public-domain.
    + Bump main license to AGPL-3+.
      Add NEWS file about that change.
    + Drop unused Files and License sections for autotools files.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Use newest autotools.
    Build-depend automake (not automake1.11) and on recent cdbs.
  * Drop patches 1002 1003 applied upstream.
  * Improve patch 1004: Remove extracted file from script to detect
    upstream code changes.
  * Add debian/patches/README documenting patch naming micro-policy.
  * Add patch 2001 to avoid including problematic and seemingly uneeded
    pngstruct.h.
  * Let CDBS move aside upstream cruft during build.
  * Cleanup more autotools files.
  * Add symbols file.
    Closes: bug#694899. Thanks to Logan Rosen.
  * Fix tie d-shlibs target also to development package (not only
    library package).
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Update package relations:
    + Build-depend unversioned on d-shlibs: Needed version satisfied
      even in oldstable.
  * Install into multiarch paths.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 Jul 2015 11:45:03 +0200

## jbig2dec 0.12+20150918

=== debian/changelog ===
jbig2dec (0.12+20150918-1) unstable; urgency=medium

  [ upstream ]
  * Snapshot.
    + Tidy build configuration.
    + Update for modern libpng.
    + Commit of build_consolidation branch.
    + Fixes for Windows build with VS 2015.
    + Check that cloned image exists before proceeding further.
    + Release huffman table memory properly.

  [ Jonas Smedegaard ]
  * Fix lintian overrides.
  * Unfuzz all patches.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Sep 2015 17:33:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: jbig2dec
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs (>= 0.4.70~),
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Uploaders: Jonas Smedegaard <dr@jones.dk>
+Build-Depends: cdbs (>= 0.4.123~),
  devscripts,
  libtool,
- automake1.11,
+ automake,
  autoconf,
  debhelper,
  dh-buildinfo,
- d-shlibs (>= 0.45~),
  libpng-dev,
- python
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/collab-maint/jbig2dec.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/jbig2dec.git;a=summary
-Homepage: http://jbig2dec.sourceforge.net/
+ python,
+ d-shlibs
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/printing/jbig2dec.git
+Vcs-Browser: https://anonscm.debian.org/cgit/printing/jbig2dec.git
+Homepage: http://git.ghostscript.com/?p=jbig2dec.git
 
 Package: libjbig2dec0-dev
 Section: libdevel
@@ -34,6 +34,7 @@
 Package: libjbig2dec0
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Description: JBIG2 decoder library - shared libraries
  jbig2dec is a decoder library and example utility implementing the JBIG2

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010-2013, 2015 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for jbig2dec
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_ACLOCAL = ,
DEB_AUTO_UPDATE_AUTOCONF = ,
DEB_AUTO_UPDATE_AUTOHEADER = ,
DEB_AUTO_UPDATE_AUTOMAKE = ,
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

stem = $(DEB_SOURCE_PACKAGE)
lib = lib$(stem)
major = 0
pkg-lib = lib$(stem)$(major)
pkg-dev = lib$(stem)$(major)-dev

# Build-depend unversioned on debhelper
#  TODO: Drop when adopted in cdbs
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper

# Needed by upstream build routines
CDBS_BUILD_DEPENDS +=, libpng-dev

# Needed by upstream tests
CDBS_BUILD_DEPENDS +=, python

# Multiarch quirk (see also other uses of that variable in this file)
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

# bootstrap autotools files (CDBS normally only updates them)
DEB_MAKE_CLEAN_TARGET = distclean
DEB_AUTOMAKE_ARGS = --add-missing --copy
clean::
	rm -f Makefile.in aclocal.m4 compile config.guess config.h.in config.sub configure depcomp install-sh ltmain.sh missing test-driver

DEB_MAKE_CHECK_TARGET = check

DEB_INSTALL_MANPAGES_jbig2dec = debian/tmp/usr/share/man/man1/*

DEB_SHLIBDEPS_LIBRARY_$(pkg-lib) = $(lib)
DEB_DH_MAKESHLIBS_ARGS = -Pdebian/$(cdbs_curpkg)

# put aside upstream-shipped temp files during build but after copyright-check
DEB_UPSTREAM_CRUFT_MOVE = config_types.h

# Let d-shlibs resolve dependencies for and install library files
CDBS_BUILD_DEPENDS +=, d-shlibs
binary-post-install/$(pkg-lib) binary-post-install/$(pkg-dev):: \
 debian/stamp-local-shlibs-$(lib)
debian/stamp-local-shlibs-$(lib): \
 binary-install/$(pkg-lib) \
 binary-install/$(pkg-dev)
	d-shlibmove --commit \
		--exclude-la \
		--multiarch \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib).so
	touch $@
clean::
	rm -f debian/stamp-local-shlibs-$(lib)

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://git.ghostscript.com/?p=jbig2dec.git .*;h=refs/tags/([\d.]+)

## jbig2dec 0.13

=== debian/changelog ===
jbig2dec (0.13-6) unstable; urgency=medium

  * Team upload
  * Update Vcs-* fields for the move to salsa.d.o

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Feb 2018 16:29:26 +0100

jbig2dec (0.13-5) unstable; urgency=medium

  * Add DEP-3 header to patch 1001.
  * Advertise DEP-3 format in patch headers.
  * Add patches cherry-picked upstream:
    + Fix decoder error on JBIG2 compressed image.
    + Tidy up unused code.
    + Add sanity check on image sizes.
    + refine test for "Denial of Service" images
    + Prevent SEGV due to integer overflow.
    + Prevent integer overflow vulnerability.
    + Bounds check before reading from image source data.
    + Plug leak of parameter info in command-line tool.
    + Fix memory leak in case of error.
    + Make clipping in image compositing handle underflow.
    + Fix double free in error case.
    + Do bounds checking of read data.
    + Do not grow page if page height is known.
    + Fix SEGV due to error code being ignored.
      Closes: Bug#863279; CVE-2017-9216. Thanks to Salvatore Bonaccorso.
    + Allow for symbol dictionary with 0 symbols.
  * Update watch file: Use substitution strings.
  * Stop put aside auto-generated header file during build: No longer
    shipped upstream.
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Relax to build-depend unversioned on cdbs.
    + Stop build-depend on licensecheck.
  * Declare compliance with Debian Policy 4.1.0.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Fix rename License section AGPL-3 → AGPL-3+.
  * Tighten lintian overrides regarding License-Reference.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Sep 2017 13:27:40 +0200

jbig2dec (0.13-4) unstable; urgency=medium

  * Add patches cherry-picked upstream to squash signed/unsigned
    warnings and to fix warning for always-false unsigned < 0 tests.
    Closes: Bug#850497. Thanks to Salvatore Bonaccorso.
  * Modernize Vcs-Browser field: Use git subdir (not cgit).
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update copyright info: Extend coverage of Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Jan 2017 21:13:34 +0100

jbig2dec (0.13-3) unstable; urgency=medium

  * Add patch cherry-picked upstream to prevent checking too early for
    buffer overrun.
  * Modernize CDBS: Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Aug 2016 10:13:47 +0200

jbig2dec (0.13-2) unstable; urgency=medium

  * Fix mark libjbig2dec0 as multi-ach: same.
    Closes: Bug#799916. Thanks to Jacek Szafarkiewicz and Yuriy M.
    Kaminskiy.
  * Add patch 2001 to avoid compile unrelated and unusable Memento
    memory debugging code.
    Closes: Bug#824483. Thanks to Yuriy M. Kaminskiy.
  * Drop symbols for dropped Memento code.
    Thanks to Yuriy M. Kaminskiy.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 May 2016 18:35:14 +0200

jbig2dec (0.13-1) unstable; urgency=medium

  [ upstream ]
  * New bugfix release.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Bump file format to version 4.
    + Mangle scanned page to get tarball URLs from tags, and adapt URL
      pattern.
    + Mangle download filename.
    + Mention gbp in usage comment.
  * Use https protocol in Vcs-Git URL.
  * Declare compliance with Debian Policy 3.9.8.
  * Update copyright info:
    + Extend coverage for main author to include recent years.
    + Extend copyright of packaging to cover current year.
  * Update git-buildpackage config: Filter any .gitignore file.
  * Drop patch 2001: Applied upstream.
  * Drop 3 symbols (unused, according to http://codesearch.debian.net/).
  * Fix remove old lintian overrides file.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 May 2016 16:51:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs (>= 0.4.123~),
- devscripts,
+Build-Depends: cdbs,
  libtool,
  automake,
  autoconf,
@@ -13,9 +12,9 @@
  libpng-dev,
  python,
  d-shlibs
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/printing/jbig2dec.git
-Vcs-Browser: https://anonscm.debian.org/cgit/printing/jbig2dec.git
+Standards-Version: 4.1.0
+Vcs-Git: https://salsa.debian.org/printing-team/jbig2dec.git
+Vcs-Browser: https://salsa.debian.org/git/printing-team/jbig2dec
 Homepage: http://git.ghostscript.com/?p=jbig2dec.git
 
 Package: libjbig2dec0-dev
@@ -36,6 +35,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
+Multi-arch: same
 Description: JBIG2 decoder library - shared libraries
  jbig2dec is a decoder library and example utility implementing the JBIG2
  bi-level image compression spec. Also known as ITU T.88 and ISO IEC

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010-2013, 2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010-2013, 2015-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for jbig2dec
 #
 # This program is free software; you can redistribute it and/or modify
@@ -21,7 +21,6 @@
 DEB_AUTO_UPDATE_AUTOCONF = ,
 DEB_AUTO_UPDATE_AUTOHEADER = ,
 DEB_AUTO_UPDATE_AUTOMAKE = ,
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
@@ -30,10 +29,6 @@
 major = 0
 pkg-lib = lib$(stem)$(major)
 pkg-dev = lib$(stem)$(major)-dev
-
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
 
 # Needed by upstream build routines
 CDBS_BUILD_DEPENDS +=, libpng-dev
@@ -57,9 +52,6 @@
 DEB_SHLIBDEPS_LIBRARY_$(pkg-lib) = $(lib)
 DEB_DH_MAKESHLIBS_ARGS = -Pdebian/$(cdbs_curpkg)
 
-# put aside upstream-shipped temp files during build but after copyright-check
-DEB_UPSTREAM_CRUFT_MOVE = config_types.h
-
 # Let d-shlibs resolve dependencies for and install library files
 CDBS_BUILD_DEPENDS +=, d-shlibs
 binary-post-install/$(pkg-lib) binary-post-install/$(pkg-dev):: \

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="pagemangle=s%a=commit(.)h=[0-9a-f]+\".*h=refs/tags/%a=snapshot${1}sf=tgz${1}h=refs/tags/%g,filenamemangle=s%(?:.*[^\d.])?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
 http://git.ghostscript.com/?p=jbig2dec.git;a=summary \
 .*a=snapshot.sf=tgz.h=refs/tags/@ANY_VERSION@

## jbig2dec 0.15

=== debian/changelog ===
jbig2dec (0.15-1) unstable; urgency=medium

  [ upstream ]
  * New bugfix release.
    (no code changes since 0.14+20180826-1)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Sep 2018 14:10:04 +0200

jbig2dec (0.14+20180826-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot.

  [ Jonas Smedegaard ]
  * Unfuzz patches.
  * Declare compliance with Debian Policy 4.2.1.
  * Set Rules-Requires-Root: no.
  * Relax symbols check when targeting experimental
  * Update symbols:
    + Flag as optional symbols not declared in public header file.
    + Drop 10 private symbols.
    + Drop 1 symbol (unused in Debian).
    + Add 1 symbol.
    Update copyright info:
    + Extend coverage for main author to include current year.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 Aug 2018 00:12:20 +0200

jbig2dec (0.14-1) unstable; urgency=medium

  [ upstream ]
  * New bugfix release.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend copyright of packaging to cover past year.
    + Strip nedless copyright signs.
  * Drop patches cherry-picked upstream since applied.
  * Declare compliance with Debian Policy 4.1.4.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 May 2018 14:41:41 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,11 @@
  libpng-dev,
  python,
  d-shlibs
-Standards-Version: 4.1.0
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/printing-team/jbig2dec.git
 Vcs-Browser: https://salsa.debian.org/git/printing-team/jbig2dec
 Homepage: http://git.ghostscript.com/?p=jbig2dec.git
+Rules-Requires-Root: no
 
 Package: libjbig2dec0-dev
 Section: libdevel

## jbig2dec 0.16

=== debian/changelog ===
jbig2dec (0.16-1+deb10u1) buster; urgency=high

  * Team upload (printing and LTS)
  * CVE-2020-12268
    avoid overflow with extreme values of x,y,w,h in function
    jbig2_image_compose()

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 24 Oct 2021 19:03:02 +0200

jbig2dec (0.16-1) unstable; urgency=high

  [ upstream ]
  * New bugfix release.
    (no code changes since 0.15+20190209-1)

  [ Jonas Smedegaard ]
  * Set urgency=high, due to ghostscript 9.27 CVE fixes.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Apr 2019 17:52:08 +0200

jbig2dec (0.15+20190209-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot.
    + Update source/header file copyright notice to 2019
    + Indicate error upon error, do not just warn.
    + Use common pattern for error detection.
    + Clarify the element size of GR_stats when memsetting.
    + Make sure to indicate error upon unexpected OOB.
    + Without enough prefix codes, a Huffman table cannot be generated.
    + Return allocator once it is retired.

  [ Jonas Smedegaard ]
  * Drop patches cherry-picked upstream since applied.
  * Update copyright info: Extend coverage for main upstream author.
  * Update symbols file: Bump version for symbol jbig2_ctx_free.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Apr 2019 12:41:06 +0200

jbig2dec (0.15-2) unstable; urgency=medium

  * Add patches cherry-picked upstream:
    + Fix signed/unsigned mismatches.
    + Only print repeated error/warning messages once.
    + Bring jbig2dec's copy of memento up to date.
  * Simplify rules: Stop resolve build-dependencies in rules file.
  * Stop build-depend on dh-buildinfo.
  * Wrap and sort control file.
  * Update copyright info: Extend coverage for main upstream author.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Nov 2018 01:50:52 +0100

=== debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_ACLOCAL = ,
DEB_AUTO_UPDATE_AUTOCONF = ,
DEB_AUTO_UPDATE_AUTOHEADER = ,
DEB_AUTO_UPDATE_AUTOMAKE = ,
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

stem = $(DEB_SOURCE_PACKAGE)
lib = lib$(stem)
major = 0
pkg-lib = lib$(stem)$(major)
pkg-dev = lib$(stem)$(major)-dev

# Multiarch quirk (see also other uses of that variable in this file)
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

# bootstrap autotools files (CDBS normally only updates them)
DEB_MAKE_CLEAN_TARGET = distclean
DEB_AUTOMAKE_ARGS = --add-missing --copy
clean::
	rm -f Makefile.in aclocal.m4 compile config.guess config.h.in config.sub configure depcomp install-sh ltmain.sh missing test-driver

DEB_MAKE_CHECK_TARGET = check

DEB_INSTALL_MANPAGES_jbig2dec = debian/tmp/usr/share/man/man1/*

DEB_SHLIBDEPS_LIBRARY_$(pkg-lib) = $(lib)
DEB_DH_MAKESHLIBS_ARGS = -Pdebian/$(cdbs_curpkg)

# Let d-shlibs resolve dependencies for and install library files
binary-post-install/$(pkg-lib) binary-post-install/$(pkg-dev):: \
 debian/stamp-local-shlibs-$(lib)
debian/stamp-local-shlibs-$(lib): \
 binary-install/$(pkg-lib) \
 binary-install/$(pkg-dev)
	d-shlibmove --commit \
		--exclude-la \
		--multiarch \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib).so
	touch $@
clean::
	rm -f debian/stamp-local-shlibs-$(lib)

## jbig2dec 0.16.1

=== debian/changelog ===
jbig2dec (0.16.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: dc57b7c93f8e030b14acc8850e6a9aebd98519f9']

 -- shuttle <shuttle@deepin.com>  Tue, 04 Aug 2020 16:18:37 +0000

## jbig2dec 0.17

=== debian/changelog ===
jbig2dec (0.17-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Switch to track upstream release tags.
  * Declare compliance with Debian Policy 4.4.1.
  * Update copyright info:
    + List uptream bugtracker as preferred upstream contact.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Oct 2019 11:31:55 +0200

jbig2dec (0.16+20190905-3) unstable; urgency=medium

  * Fix Vcs-Browser URL.
  * Add patch 2002 to restore ABI compatibility.
    Closes: Bug#940605. Thanks to Julien Cristau.
  * Update symbols file: 1 symbol added (i.e. restored).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Sep 2019 12:41:12 +0200

jbig2dec (0.16+20190905-2) unstable; urgency=medium

  * Fix have libjbig2dec0-dev depend on pkg-config
    (not bogus pkgconfig).
  * Fix avoid FTCBFS by build-depending on python:native (not python),
    and only when check is enabled.
    Closes: Bug#893682. Thanks to Helmut Grohne.
  * Mark libjbig2dec0-dev as Multi-Arch: same.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Sep 2019 03:40:08 +0200

jbig2dec (0.16+20190905-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot.
    + Fix bug where realloc returns NULL.
    + Silence automake warning about ar use.
    + Silence automake warning about setting CFLAGS directly.
    + Add empty m4 directory to silence libtool warning.
    + Expose version number in header.
    + Check that header version matches library version.
    + Add pkg-config file and allow for it to be installed.
    + Improve jbig2dec-specific gitignore.
    + Update information in README.
    + Make tests expect that some test files return white image.
    + Indent test code by spaces like the rest of the code.
    + Expect test files to reside inside jbig2dec directory.
    + Verify file hashes of test files during testing.
    + Fix leak of log message in command line tool.
    + Declare internal data array static.
    + Fix leak of huffman decoder state in test code.
    + Avoid duplicate declarations of Huffman tables in test code.
    + Fix incorrectly computed halftone skip mask.
    + Add all ubc test files.
    + A small collection of code cleanups.
    + Avoid double checks for negative coordinates.
    + Validate range of Huffman Table range values.
    + Avoid extending page image beyond INT_MAX pixels high.
    + Validate coordinates when add image onto page.

  [ Jonas Smedegaard ]
  * Update watch file: Switch to track git snapshots.
  * Update homepage.
  * Update maintainer script copyright-check
    to extract or skip binary image files.
  * Declare compliance with Debian Policy 4.4.0.
  * Unfuzz patches.
  * Simplify rules: Use autoreconf.
    Build-depend on dh-autoreconf (not explicitly autoconf automake).
  * Have libjbig2dec0-dev include pkgconfig file,
    and depend on pkgconfig.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Sep 2019 20:01:08 +0200

=== debian/control ===
Source: jbig2dec
Section: libs
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 cdbs,
 d-shlibs,
 debhelper,
 dh-autoreconf,
 libpng-dev,
 libtool,
 python:native <!nocheck>,
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/printing-team/jbig2dec.git
Vcs-Browser: https://salsa.debian.org/printing-team/jbig2dec
Homepage: https://jbig2dec.com/
Rules-Requires-Root: no

Package: libjbig2dec0-dev
Section: libdevel
Depends:
 libjbig2dec0 (= ${binary:Version}),
 pkg-config,
 ${devlibs:Depends},
 ${misc:Depends},
Provides:
 libjbig2dec-dev,
Conflicts:
 libjbig2dec-dev,
Architecture: any
Multi-Arch: same
Description: JBIG2 decoder library - development files
 jbig2dec is a decoder library and example utility implementing the JBIG2
 bi-level image compression spec. Also known as ITU T.88 and ISO IEC
 14492, and included by reference in Adobe's PDF version 1.4 and later.
 .
 This package contains the development headers and static library.

Package: libjbig2dec0
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Architecture: any
Multi-arch: same
Description: JBIG2 decoder library - shared libraries
 jbig2dec is a decoder library and example utility implementing the JBIG2
 bi-level image compression spec. Also known as ITU T.88 and ISO IEC
 14492, and included by reference in Adobe's PDF version 1.4 and later.
 .
 This package contains the shared library libjbig2dec.

Package: jbig2dec
Section: graphics
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Architecture: any
Description: JBIG2 decoder library - tools
 jbig2dec is a decoder library and example utility implementing the JBIG2
 bi-level image compression spec. Also known as ITU T.88 and ISO IEC
 14492, and included by reference in Adobe's PDF version 1.4 and later.
 .
 This package contains the command-line utility jbig2dec.

## jbig2dec 0.18

=== debian/changelog ===
jbig2dec (0.18-1ubuntu1) focal; urgency=medium

  * Build using python3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Mar 2020 12:53:08 +0200

jbig2dec (0.18-1) unstable; urgency=medium

  [ upstream ]
  * new release
    closes: bug#952674, thanks to Mathieu Malaterre

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Mar 2020 10:48:03 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  dh-autoreconf,
  libpng-dev,
  libtool,
- python:native <!nocheck>,
-Standards-Version: 4.4.1
+ python3:native <!nocheck>,
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/printing-team/jbig2dec.git
 Vcs-Browser: https://salsa.debian.org/printing-team/jbig2dec
 Homepage: https://jbig2dec.com/

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,6 @@
 #!/usr/bin/make -f
 
-DEB_AUTO_UPDATE_LIBTOOL = pre
-DEB_AUTO_UPDATE_ACLOCAL = ,
-DEB_AUTO_UPDATE_AUTOCONF = ,
-DEB_AUTO_UPDATE_AUTOHEADER = ,
-DEB_AUTO_UPDATE_AUTOMAKE = ,
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
@@ -14,14 +10,10 @@
 pkg-lib = lib$(stem)$(major)
 pkg-dev = lib$(stem)$(major)-dev
 
+DEB_DH_AUTORECONF_ARGS += ./autogen.sh
+
 # Multiarch quirk (see also other uses of that variable in this file)
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
-
-# bootstrap autotools files (CDBS normally only updates them)
-DEB_MAKE_CLEAN_TARGET = distclean
-DEB_AUTOMAKE_ARGS = --add-missing --copy
-clean::
-	rm -f Makefile.in aclocal.m4 compile config.guess config.h.in config.sub configure depcomp install-sh ltmain.sh missing test-driver
 
 DEB_MAKE_CHECK_TARGET = check
 
@@ -40,6 +32,8 @@
 		--exclude-la \
 		--multiarch \
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
+		--movedev "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*" \
+			usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib).so
 	touch $@
 clean::

## jbig2dec 0.18+20200417

=== debian/changelog ===
jbig2dec (0.18+20200417-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    + Separate command line tool error callback state from parameters.
    + Mention all long options in usage and manpage.
    + Add command line option to limit memory usage.
    + Add more references to specification.
    + Keep type of index and array length the same.
    + Use unsigned suffix when defining UINT32_MAX.
    + Handle under-/overflow detection and messaging better.
    + Let arithmetic decoder and the underlying stream report errors.
    + Add overflow detection for IAID context size.
    + Treat end of stream as fatal error, and remember errors.
    + Avoid artificially limiting jbig2dec.
    + Avoid passing NULL buffer to snprintf().
    + Remove trailing whitespace.
    + Address all signedness comparison issues.
    + Enable warnings for signedness in comparisons.
    + Avoid warning by copying bytes instead of characters.
    + Fix under/overflow handling in arithmetic integer decoder.
    + Pass segment numbers as unsigned values to error callback.
    + Avoid formatting error messages twice in error callback.
    + Use size_t for string length.
    + Handle errors from reading jbig2 streams.
    + Always use uint32_t when counting pages.
    + Use uint32_t when counting segments.
    + Fix signedness conversions.
    + Fix two overlooked warnings.
    + Use correct define for maximum value of type.
    + Record stream errors in separate struct field.
    + Cast literal to avoid shifting outside of valid range.
    + Need to store local copy of error message.
    + Plug leak of image upon error.
    + Adjust number of bytes consumed by MMR decoder.
    + Initiate variable before avoids using uninited data
      during cleanup.
    + Refill input buffer upon failure to parse segment header.

  [ Jonas Smedegaard ]
  * copyright: update coverage
  * use debhelper compatibility level 10 (not 9);
    stop build-depend explicitly on dh-autoreconf libtool
  * avoid running python test apparently relying on missing data files;
    drop patch 1001; stop build-depend on python;
    closes: bug#943139, thanks to Sandro Tosi

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Apr 2020 10:01:35 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,7 @@
  cdbs,
  d-shlibs,
  debhelper,
- dh-autoreconf,
  libpng-dev,
- libtool,
- python3:native <!nocheck>,
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/printing-team/jbig2dec.git
 Vcs-Browser: https://salsa.debian.org/printing-team/jbig2dec

## jbig2dec 0.19

=== debian/changelog ===
jbig2dec (0.19-3build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:02:43 +0100

jbig2dec (0.19-3build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:13:23 +0200

jbig2dec (0.19-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to use correct freeing function for JBIG2 images
  * add autopkgtest;
    closes: bug#959468, thanks to Dylan Aïssi

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Apr 2021 13:11:05 +0200

jbig2dec (0.19-2) unstable; urgency=medium

  * cherry-pick patches from upstream:
    + silence a compiler warning
    + fix honor memory alignment (needed on SPARC)
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Feb 2021 14:55:02 +0100

jbig2dec (0.19-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * simplify source script copyright-chceck

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Sep 2020 19:45:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jbig2dec
 Section: libs
 Priority: optional
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
@@ -9,7 +10,7 @@
  d-shlibs,
  debhelper,
  libpng-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/printing-team/jbig2dec.git
 Vcs-Browser: https://salsa.debian.org/printing-team/jbig2dec
 Homepage: https://jbig2dec.com/

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 # Multiarch quirk (see also other uses of that variable in this file)
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
-DEB_MAKE_CHECK_TARGET = check
+# avoid test_jbig2dec.py apparently relying on missing data files
+DEB_MAKE_CHECK_TARGET = check TESTS="test_sha1 test_huffman test_arith"
 
 DEB_INSTALL_MANPAGES_jbig2dec = debian/tmp/usr/share/man/man1/*

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
pagemangle=s%a=commit(.)h=[0-9a-f]+\".*h=refs/tags/%a=snapshot${1}sf=tgz${1}h=refs/tags/%g,\
filenamemangle=s%(?:.*[^\d.])?@ANY_VERSION@%@PACKAGE@-$1.tar.gz% \
http://git.ghostscript.com/?p=jbig2dec.git;a=summary \
.*a=snapshot.sf=tgz.h=refs/tags/@ANY_VERSION@

## jbig2dec 0.20

=== debian/changelog ===
jbig2dec (0.20-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:40:24 +0000

jbig2dec (0.20-1build2) noble; urgency=medium

  * Rebuild against new libpng16-16t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Mar 2024 14:17:38 +0100

jbig2dec (0.20-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:58:13 +0000

jbig2dec (0.20-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * drop patches cherry-picked upstream, now obsolete
  * add patch cherry-picked upstream
    to avoid uninitialized allocator in command-line tool
  * update copyright info: update coverage
  * simplify build; stop build-depend on cdbs
  * declare compliance with Debian Policy 4.6.2
  * build-depend on debhelper-compat (not debhelper)
  * add patch 1001 to modernize test script;
    build-depend on python3

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Nov 2023 14:40:40 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- cdbs,
  d-shlibs,
- debhelper,
+ debhelper-compat (= 13),
  libpng-dev,
-Standards-Version: 4.5.1
+ python3 <!nocheck>,
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/printing-team/jbig2dec.git
 Vcs-Browser: https://salsa.debian.org/printing-team/jbig2dec
 Homepage: https://jbig2dec.com/

=== debian/tests/control ===
Tests: run-unit-test
Depends:
 jbig2dec,
